Bug 178869 - No keyboard support for Canadian French Multi-lingual
No keyboard support for Canadian French Multi-lingual
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 18:51 EST by Leslie Satenstein
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.2.7-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 14:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2006-01-24 18:51:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
The french keyboard support and mapping does not correspond to the keyboards in use in Canada. The correct keyboard support is available in Core4, initial and current level of code.

The Core4 keyboard works with kde, gnome and terminal mode.

The Core5 keyboard does not work, and forces me to plug in a temporary keyboard in order to write this bug report

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Choose French Multilingual for Canada on Core5 install
2.
3. 
  

Actual Results:  Wrong keyboard mapping takes place, critical characters, such as at symbol are not available.

Expected Results:  Should work as the keyboard interface does no Core4.


Additional info:
Comment 1 Leslie Satenstein 2006-03-11 09:12:07 EST
With the patches received between the initial open of this bug and today, we
have a major improvement

a) With command line mode: Mapping is 100%
b) With KDE              : Mapping is 100%
c) With Gnome            : Mapping is 100%
d) With Gnome terminal   : Mapping is 100%
e) With KDE terminal     : Mapping is 100%
f) With KDE SUPERTERMINAL: MAPPING IS -30%   NO KNOWN TERMINAL DEFINITION
g) With Evolution        : Mapping is 100%
h) With Firefox          : Mapping is 99%    (ALT-CHAR E) does not produce Euro
symbol
i) With Evolution        : Mapping is 99%    (ALT-CHAR E) does not generate Euro
symbol

Keyboard id Microsoft Internet 105key, X11 setup (From patches is "French
Canada" AT TRANSLATED 2 SET KEYBOARD

KDE SUPERTERMINAL IS A PROBLEM, as is the Euro Symbol. But it is not a show
stopper. (I will not use Euro Symbol, or SuperTerminal)
Comment 2 Leslie Satenstein 2006-03-12 09:00:40 EST
March 12, 2006

Superterminal is now 99% after reboot after applying patches.
Only character missing is the Euro, as alt-char E


Comment 3 Leslie Satenstein 2006-03-25 15:25:33 EST
With Core5 Release, the Canadian French Keyboard is supported. 
Thank you developers.

Note You need to log in before you can comment on or make changes to this bug.